package com.liquidnet.service.dragon.service;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.dragon.dto.DragonPayBaseReqDto;
import com.liquidnet.service.dragon.dto.DragonPayBaseRespDto;

import javax.servlet.http.HttpServletRequest;

public interface IDragonOrdersService {
    void sendRedisQueue();

    ResponseDto<DragonPayBaseRespDto> dragonPay(DragonPayBaseReqDto dragonPayBaseReqDto);

    void dragonNotify(HttpServletRequest request,String payType,String deviceFrom);
}
